Subject: [tsvwg] [Errata Rejected] RFC6458 (6132)

From: RFC Errata System <[email-masked]>
Date: Mon, 27 Apr 2020 15:04:25 -0700 (PDT)

The following errata report has been rejected for RFC6458,
"Sockets API Extensions for the Stream Control Transmission Protocol (SCTP)".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6132

--------------------------------------
Status: Rejected
Type: Technical

Reported by: wanglihe <[email-masked]>
Date Reported: 2020-04-09
Rejected by: Martin Duke (IESG)

Section: GLOBAL

Original Text
-------------
8.1.26    must indicate that they are
   finished sending a particular record by including the SCTP_EOR flag.

but I can not find where to use SCTP_EOR flag.

because

5.1  The msg_flags are not used when sending a message with sendmsg().

3.1.4  flags:  No new flags are defined for SCTP at this level.  See
      Section 5 for SCTP-specific flags used in the msghdr structure.

4.1.8 same with 3.1.4

9.10, 9.12    flags:  The same flags as used by the sendmsg() call flags (e.g.,
      MSG_DONTROUTE).

9.7   flags:  The same as sinfo_flags (see Section 5.3.2).

5.3.2 sinfo_flags not mention about it  

Corrected Text
--------------
maybe msg_flags should be used.

Notes
-----
Another problem is that, I think it should be discuss about debfine a flag like SCTP_BOR for beginning(init chunk) of a Record, because a stream of this socket(assoc) can still be used after send a SCTP_EOR.

And between  a init chunk and  a STCP_EOR,  if I change SCTP_EXPLICIT_EOR status, what the socket will send the message?
 --VERIFIER NOTES-- 
   Accidental duplication; please disregard.

--------------------------------------
RFC6458 (draft-ietf-tsvwg-sctpsocket-32)
--------------------------------------
Title               : Sockets API Extensions for the Stream Control Transmission Protocol (SCTP)
Publication Date    : December 2011
Author(s)           : R. Stewart, M. Tuexen, K. Poon, P. Lei, V. Yasevich
Category            : INFORMATIONAL
Source              : Transport Area Working Group
Area                : Transport
Stream              : IETF
Verifying Party     : IESG